--
-- revers
-- 
-- 
-- 
--
-- @author  DJ Lukes
-- @date  9/12/09
-- @version 1.0 CZ
--
--
--

revers = {};

function revers.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function revers:load(xmlFile)

    -- Revers lights
    self.reverseLightObject = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.utilLights.reverse#index"));
    setVisibility(self.reverseLightObject, false);
    self.reverseLightActive = false;
    
    -- Brake lights
    self.brakeLightObject = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.utilLights.brake#index"));
    setVisibility(self.brakeLightObject, false);
    self.brakeLightActive = false;
    
end;

function revers:delete()
end;

function revers:mouseEvent(posX, posY, isDown, isUp, button)
end;

function revers:keyEvent(unicode, sym, modifier, isDown)
end;

function revers:update(dt)
    -- Reverse lights
    if self.movingDirection < 0 then
        self.reverseLightActive = true;
    else
        self.reverseLightActive = false;
    end;
    setVisibility(self.reverseLightObject, self.reverseLightActive);
    
    -- Define input
    self.input = InputBinding.getAnalogInputAxis(InputBinding.AXIS_FORWARD);
    if InputBinding.isAxisZero(self.input) then
        self.input = InputBinding.getDigitalInputAxis(InputBinding.AXIS_FORWARD);
    end;
    
    -- Brake lights
    setVisibility(self.brakeLightObject, self.brakeLightActive);
    
    if (self.movingDirection*self.lastSpeed*(-self.input)) < -0.001 then
        self.brakeLightActive = true;
    else
        self.brakeLightActive = false;
    end;
    
end;

function revers:draw()
end;

